QUIQQER Management System
========

![QUIQQER](bin/images/Readme.png)

Copyright PCSG OhG

www.pcsg.de - www.quiqqer.com

About QUIQQER
--------

Modular design. Convenient backend, Fast implementation. The all-around carefree Enterprise Content Management System.
QUIQQER is more than just a CMS. It contains a multitude of useful tools that are not yet available in this form.

QUIQQER was written to quickly implement SaaS, e-commerce shops, or web applications. Its code base consists of
JavaScript, PHP, HTML, CSS and XML. It is developed and maintained
by [PCSG - Computer & Internet Service OHG](https://www.pcsg.de/) a modern IT agency based in beautiful Solingen
Germany.

#### Features

QUIQQER has a multitude of features and possibilities. Here is a small overview of what QUIQQER has to offer.

- Template System with Layouts
- Internal control system (components) via JavaScript and PHP
- Modular based management system
- Internal Package Management via composer
    - Bridge to npm and bower
        - This makes it possible to access 100000's packages
- Easy XML Module API (https://dev.quiqqer.com/quiqqer/quiqqer/wikis/home#xml-dateien-in-quiqqer)
- Event-based system
- Expandable with lots of modules (http://store.quiqqer.com/)
- The Main Source is completely open-source and free
- The basic system has been all-important modules for a professional presence or web project
    - Bricks (own component template system)
    - Cron System
    - Lots of controls (components)
    - E-Mail System (with E-Mail Queue)
    - User / Group / Permission management
    - Multidomain and multilingual capable
    - Creating multiple projects
- and many more...

Installation / Usage
------

Download and install QUIQQER by following the [official instructions](https://www.quiqqer.com/Start-now).

- [Installation via Web / Browser](https://www.quiqqer.com/Start-now/Installation#websetup)
- [Installation via CLI / Server](https://www.quiqqer.com/Start-now/Installation#terminal-setup)

Community
------

You can find and get help and information in different ways

- [Twitter: Main Developer Account](https://twitter.com/de_henne)
- [Twitter: PCSG Company Account](https://twitter.com/pcsg_dev)
- [Gitlab](https://dev.quiqqer.com/quiqqer/quiqqer)
- [Discord](https://discord.gg/tjWg4ZE)
- [Facebook](https://www.facebook.com/Quiqqer) - German

Contribute & Support
----------

You would like to help but don't know how or where? We have written a Contribution Guide especially for you. Here are
all the steps in how and where you can help us. We are looking forward to you.

To the Contribution Guide:

- [English](CONTRIBUTING.md)
- [German](CONTRIBUTING-de.md)

We use our own Gitlab instance, if you find bugs or miss features, please write us there. Github serves as a mirror and
backup.

- [Issues](https://dev.quiqqer.com/quiqqer/quiqqer/-/issues)
- [Milestones](https://dev.quiqqer.com/quiqqer/quiqqer/-/milestones)

License
-------

- GPL-3.0+

Thank you
--------

QUIQQER would of course, not exist without the help of some busy developers and projects. With this in mind, we would
like to say thank you to the many software packages which already exist and will be further developed.

- Composer (http://getcomposer.org)
- MooTools (http://mootools.net/)
- requirejs (requirejs.org/)
- AMD css! plugin curl.js (https://github.com/cujojs/curl)
- moofx (https://github.com/kamicane/moofx/)
- Font Awesome (http://fontawesome.io/)
- Basis and idea for the QUIQQER Font: http://fontfabric.com/multicolore-free-fonts/
- All the Webstuff (PHP, Apache, NGINX)

Of course we forgot some of them and can't list everything here. For all the lines of code, we forgot we say thank you
for the great work.

Henning and Moritz from PCSG & QUIQQER
